using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.T2MI.Packets.AdressingFunctions
{
    internal class _0x11_TransmitterMisoGroup : AddressingFunction
    {
        public _0x11_TransmitterMisoGroup(byte[] buffer) : base(0x11, false, true)
        {
            if (buffer.Length != 1)
            {
                Valid = false;
                return;
            }

            if ((buffer[0] & 0x80) == 0)
                MisoGroup = 1;
            else
                MisoGroup = 2;

            Valid = true;
        }

        public int MisoGroup { get; private set; }
    }
}
